---
updatedAt: 2026-03-13T20:13:55.000Z
agentTools:
  projectIndex: https://docs.woopra.com/llms.txt
---

# Intro

The Woopra API is mostly RESTful. We call it RESTish.  API calls can be made with HTTP POST or GET to <https://www.woopra.com/rest/[version]/[endpoint]>.

```curl
curl "https://www.woopra.com/rest/3.10/trends?project=mybusiness.com&start_day=2017-4-12&end_day=2017-5-19&report_id=83mYcoe6jX"
```

## Authentication

The Woopra RESTish APIs use the [HTTP Basic Authorization Scheme](https://tools.ietf.org/html/rfc7617).  Generate API keys on a per-user basis from the [Access Keys tab in the Member's Area](https://www.woopra.com/members/settings/access-keys).

```curl
curl \
--user <App Id>:<Secret Key> \
"https://www.woopra.com/rest/3.10/trends?project=mybusiness.com&start_day=2017-4-12&end_day=2017-5-19&report_id=83mYcoe6jX"
```

## Rate Limits

There is currently a global per-project limit on API calls:\
300 per minute, 600 per hour and 3000 per day.

This is subject to change as we tune the system.

Rate limited requests will receive a status code of `429`

## Versioning

The only supported version currently is version 3.10.  So all urls should start with:\
`https://www.woopra.com/rest/3.10/{ENDPOINT}`